# Packmangroup: Multimedia
# Packmanpackagename: faac
# Packman: Manfred Tremmel

# norootforbuild

%define major     0
%define lib       libfaac
%define libname   %{lib}%{major}

Name:           faac
Summary:        Frontend for encoding MPEG2/4 AAC
Summary(de):    Frontend zum Encodieren von MPEG2/4 AAC
Version:        1.28
Release:        7.2
License:        Free to use but restricted
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://www.audiocoding.com/
Source0:        faac-%{version}.tar.bz2
Source99:       baselibs.conf
Patch0:         faac_configure_in.patch
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}
Requires:       %{libname} = %{version}-%{release}
BuildRequires:  libfaad-devel >= 2.7
BuildRequires:  libmp4v2-devel
BuildRequires:  gcc
BuildRequires:  libstdc++-devel
BuildRequires:  autoconf automake libtool

%description
FAAC is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC encoder, completely
written from scratch.

%description -l de
FAAC ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Encoder.

%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of faac
Summary(de):    Bibliotheken zu faac
Provides:       %{lib} = %{version}-%{release}

%description -n %{libname}
FAAC is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC encoder, completely
written from scratch.
Shared library part of faac

%description -n %{libname} -l de
FAAC ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Encoder.
Bibliotheken zu faac

%package -n %{lib}-devel
Group:          Development/Libraries/C and C++
Summary:        Header files and static library for the faac library
Summary(de):    Header Dateien und statische Bibliotheken für die faac Bibliothek
Requires:       %{libname} = %{version}-%{release}
Provides:       %{libname}-devel = %{version}-%{release}
Provides:       faac-devel = %{version}-%{release}

%description -n %{lib}-devel
FAAC is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC encoder, completely
written from scratch.
Header files and static library for the faac library

%description -n %{lib}-devel -l de
FAAC ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Encoder.
Header Dateien und statische Bibliotheken für die faac Bibliothek



%prep
%setup -qn faac-%{version}
%patch0

%build
autoreconf -vif
export LDFLAGS="-lmp4v2"
%configure --with-mp4v2 --enable-shared --disable-static
%{__make} %{?jobs:-j%{jobs}}

%install
%makeinstall
rm -f %{buildroot}/%{_libdir}/*.la

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/faac.1%{ext_man}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Sun Dec 18 2011 cs@linux-administrator.com
- re-import
